### Method

# Gsk GLShader get_resource

deprecated: 4.16

#### Declaration [src]

    const char*
    gsk_gl_shader_get_resource (
      GskGLShader* shader
    )

#### Description [src]

Gets the resource path for the GLSL sourcecode being used to render this shader.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

Gets property | `Gsk.GLShader:resource`

#### Return value

Type: `const char*`

The resource path for the shader.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.